Subject: bug#42243: About a Potential Change/Bug That Might Have Rendered cdlatex Mostly Dysfunctional

From: Ikumi Keita <[email-masked]>
Date: Wed, 08 Jul 2020 00:56:46 +0900

Hi Semih,

>>>>> SEMIH KACMAZ <[email-masked]> writes:
> *"I believe this must be due to a change in AUCTeX. The constant
> texmathp-tex-commands-default used to contain the align environments etc,
> but no longer does.

Exactly. Support for highlighting and in-math state detection for
AMS-LaTeX specific environments, such as align, gather and multline, are
refactored and put into style file amsmath.el. So these support are
available only when TeX-parse-self option is enabled.

> I am assuming that there is now a procedure in place to
> add these commands based on LaTeX package loading. But I am not sure.

Could you try to enable the option TeX-parse-self and re-open the LaTeX
file? If that doesn't solve the problem, please report back to us.

Ikumi Keita